# Generated by Django 4.2.4 on 2023-08-22 04:50

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='BaseConverter',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('input_number', models.CharField(max_length=100)),
                ('decimal_result', models.CharField(max_length=100)),
                ('binary_result', models.CharField(max_length=100)),
                ('octal_result', models.CharField(max_length=100)),
                ('hexadecimal_result', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='BisectionMethod',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('input_value', models.FloatField()),
                ('result', models.FloatField()),
            ],
        ),
        migrations.CreateModel(
            name='DerivativeSolution',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('input_expression', models.CharField(max_length=200)),
                ('result', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='FalsePositionMethod',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('input_value', models.FloatField()),
                ('result', models.FloatField()),
            ],
        ),
        migrations.CreateModel(
            name='IEEEFloatingPointConverter',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('decimal_number', models.FloatField()),
                ('i33_754_representation', models.CharField(max_length=100)),
            ],
        ),
    ]
